<div class="password-dialog">
  <div class="container">
    <mat-toolbar>
      <span>Zmiana hasła</span>
      <span class="fill-remaining-space"></span>
      <button class="btn-dialog-close" mat-stroked-button (click)="onClose()" tabIndex="-1">
        <mat-icon matTooltip="Zamknij">clear</mat-icon>
      </button>
    </mat-toolbar>

    <form [formGroup]="changePasswordForm" (submit)="onSubmit()">
      <div fxLayout="column">

        <mat-form-field>
          <input type="password" matInput formControlName="currentPassword" placeholder="Wprowadź aktualne hasło" required>
          <mat-error>Podanie starego hasła jest wymagane.</mat-error>
        </mat-form-field>

        <mat-form-field>
          <input type="password" matInput formControlName="newPassword" placeholder="Wprowadź nowe hasło" required>
          <mat-error>
            Nowe hasło musi składać się z minimum 8 znaków.
          </mat-error>
        </mat-form-field>

        <mat-form-field>
          <input type="password" matInput formControlName="confirmNewPassword" placeholder="Wprowadź ponownie nowe hasło" required>
          <mat-error>
            Nowe hasło musi składać się z minimum 8 znaków.
          </mat-error>
        </mat-form-field>
      </div>
      <div class="button-row">
        <button mat-raised-button color="primary" type="submit" [disabled]="changePasswordForm.invalid">
          Zapisz
        </button>
        <button mat-raised-button color="warn" (click)="onClear()">Wyczyść</button>
      </div>
    </form>
  </div>
</div>
